local L = LibStub("AceLocale-3.0"):NewLocale("ReadySetDing", "enUS", true)
if not L then return end

-- Use [..\Interface\FrameXML\GlobalStrings.lua] wherever possible

-- Units of Time
L["second"] = true
L["seconds"] = true
L["minute"] = true
L["minutes"] = true
L["hour"] = true
L["hours"] = true
L["day"] = true
L["days"] = true

-- Single Words
L["Level"] = LEVEL
L["Announce"] = CHAT_ANNOUNCE
L["Summary"] = ACHIEVEMENT_SUMMARY_CATEGORY
L["Guild"] = "|cff40FF40"..GUILD.."|r"
L["Achievements"] = "|cffFFFF00"..ACHIEVEMENTS.."|r"
L["Total"] = true
L["Example"] = true
L["overkill"] = true

-- Error Feedback
L["No Level Data"] = "No "..LEVEL.." Data"
L["No LevelSpeed Data"] = "No "..LEVEL..SPEED.." Data"
L["No InstanceTimer Data"] = "No "..INSTANCE.."Timer Data"
L["No TimeDiff Data"] = true

-- <Ding Message> Variable Description
L["Previous Level"] = PREVIOUS.." "..LEVEL
L["New Level"] = NEW.." "..LEVEL
L["Remaining Levels"] = true
L["Max Level"] = "Max "..LEVEL
L["Level Time"] = LEVEL.." Time"; L["LevelTime"] = LEVEL.."Time"
L["Total Time"] = true; L["TotalTime"] = true
L["Time Difference"] = true; L["than last Level"] = "than last "..LEVEL
L["slower"] = true; L["faster"] = true;
L["AFK Time"] = true; L["Total AFK Time"] = true
L["You are now Away"] = true
L["Recent LevelSpeed"] = "Recent "..LEVEL..SPEED; L["LevelSpeed"] = LEVEL..SPEED
L["Average LevelSpeed"] = "Average "..LEVEL..SPEED
L["Kills"] = KILLS; L["Total Kills"] = "Total "..KILLS;
L["Deaths"] = DEATHS; L["Total Deaths"] = "Total "..DEATHS;
L["Quests Completed"] = true; L["Daily Quests"] = DAILY.." "..QUESTS_LABEL -- "TRACKER_FILTER_COMPLETED_QUESTS" is in reverse :(
L["Your Location"] = "Your "..strupper(strsub(SPELL_TARGET_TYPE6_DESC, 1, 1))..strsub(SPELL_TARGET_TYPE6_DESC, 2) -- first letter wasn't uppercase
L["Your Guild"] = "Your "..GUILD
L["Raid Target Icons"] = RAID.." "..TARGETICONS -- L["Raid Target Icon"] = RAID_TARGET_ICON
L["Make sure to press [Enter] / [Okay]"] = "|cffFFFFFFMake sure to press|r |cff71D5FF["..KEY_ENTER.."]|r / |cff71D5FF["..OKAY.."]"

---	Main Options
L["Enable AddOn"] = ENABLE.." AddOn"
L["Take Screenshot"] = true
L["Auto Gratz"] = true; L["AutoGratz"] = true; L["Ding"] = true
L["Real ID Broadcast"] = "|cff71D5FF"..BATTLENET_FRIEND.."|r Broadcast"
L["Normal Announce"] = "|cffA8A8FF"..PLAYER_DIFFICULTY1.."|r "..CHAT_ANNOUNCE
L["Guild Announce"] = "|cff40FF40"..CHAT_MSG_GUILD.."|r "..CHAT_ANNOUNCE

-- Advanced Options
L["Show Guild Dings"] = "|cffADFF2FShow|r |cff40FF40"..GUILD.."|r Dings"
L["Announce Guild Dings"] = "|cff71D5FF"..CHAT_ANNOUNCE.."|r |cff40FF40"..GUILD.."|r Dings"
L["Show/Announce Guild Dings"] = "|cffADFF2FShow|r/|cff71D5FF"..CHAT_ANNOUNCE.."|r "..GUILD.." Dings"
L["Guild Ding Message"] = "|cff40FF40"..GUILD.."|r |cffFFFFFFDing|r Message"
L["Screenshot Delay"] = "|cffFFFFFFScreenshot|r Delay"
L["AutoGratz Delay"] = "|cffFFFFFFAutoGratz|r Delay"
L["Announce Delay"] = "|cffFFFFFF"..CHAT_ANNOUNCE.."|r Delay"
L["AutoGratz Cooldown"] = "|cffFFFFFFAutoGratz|r Cooldown"
L["AutoGratz Random Messages"] = "|cffFFFFFFAutoGratz|r Random Messages"
L["Debug Mode"] = "Debug "..MODE

-- Ketho Combat Options
L["Taunts"] = true
L["Interrupts"] = INTERRUPTS
L["Dispels"] = DISPELS
L["Reflects"] = true
L["Deaths"] = DEATHS
L["Resurrections"] = RESURRECT
L["Crowd Control"] = true
L["CC Breaker"] = true
L["PvE"] = true
L["PvP"] = PVP
L["World"] = CHANNEL_CATEGORY_WORLD
L["Local ChatFrame Output"] = "Local ChatFrame |cffFFFFFFOutput|r"
L["Tank Taunts"] = "|cff6FAFE6"..TANK.."|r |cffFF0000Taunts|r"
L["Tank CC Breaks"] = "|cff6FAFE6"..TANK.."|r |cffFF7800CC Breaks|r"
L["Pet Growl"] = "|cffABD473"..PET.."|r |cffFF0000Growl|r"

-- InstanceTimer Options
L["Instance Timer"] = INSTANCE.." Timer"
L["Time in Instance"] = "Time in |cffA8A8FF"..INSTANCE.."|r"
--L["Time in realZone"] = "Time in |cffA8A8FF"..GetRealZoneText().."|r"
L["Instance Timer Message"] = INSTANCE.." Timer Message"
L["Instance Name"] = INSTANCE.." "..NAME
L["Run Time"] = true
L["Start Time"] = START.." Time"
L["End Time"] = KEY_END.." Time"
L["Show Instance Times"] = "Show |cffFFFFFF"..INSTANCE.." Times|r"

-- About Options
L["Chat commands:"] = "|cff57A3FF"..CHAT_HELP_TEXT_LINE1.."|r"
L["Show LevelTimes"] = "Show |cffFFFFFF"..LEVEL.."Times|r"
L["Play Sound"] = "Play |cffADFF2F*|r|cffF6ADC6Sound|r|cffADFF2F*|r"
L["Raw"] = "|cff71D5FFRaw|r"

-- Custom Messages
L["dingMessage"] = "Ding! Level [LEVEL] in [TIME]"
L["guildDingMsg"] = "[NAME] dinged Level [LEVEL] in [ZONE]!"
L["autoGratzMsg1"] = "gratz [NAME]"
L["autoGratzMsg2"] = "grats"
L["autoGratzMsg3"] = "gz =)"
L["autoGratzMsg4"] = "gz :)"
L["autoGratzMsg5"] = "gz"
L["instanceTimerMsg"] = "[[INSTANCE]] cleared in [TIME] [[START]]-[[END]]"